%
% anyremote configuration file for icon uploading
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no
% FBROWSER v.3

GuiAppName=IconUploader
GuiAppIcon=redo.png
GuiAppType=Custom
GuiAppBinary=true
GuiAppProtocols=Server
GuiAppDesc=Allows to upload additional icons to the Java Client 

[Protocol]=Server

(Init)=\
	Include($(CfgDir)/Utils/aliases-server.cfg);\
	Include($(CfgDir)/Utils/aliases-server-fbrowser-v3.cfg);

(Connect)=\
	Set(parameter,debug,on);\
	Set(icons,Icon upload,1,folder,2,default,3,default,4,fit,5,fit,6,fit,7,fit,8,default,9,fit,*,question,0,no,#,default);\
	Set(title,);\
	Set(status,);\
	Macro(MainMenu);

MainMenu  =Set(menu,replace,RemoveAll);
UpdateMenu=Set(menu,replace,Go To,Go Home,Upload);

Back($$)  =Set(list,close);
Back      =Set(text,close);
Convert   =ExecAndSet(image,icon,UF=`cat $HOME/.anyRemote/ar_storedir.tmp`/"$(Param)";D=`echo $(Param)|cut -f 1 -d '.'`;echo "$D,$UF");
Go To($$)  =Macro(FBROWSER_GO_TO);
Go Home($$)=Macro(FBROWSER_GO_HOME);
%Push($$) use from aliases-server-fbrowser-v3.cfg

Upload($$)=\
	Set(popup,show,Please wait);\
	Set(list,close);\
	Macro(Convert);\
	ExecAndSet(icons, sleep 2;echo 'D=`echo $(Param)|cut -f 1 -d '.'`;echo "UPLOAD,5,$D"'|bash -f -s);\
	Set(popup,hide);\
	Macro(MainMenu);
	
RemoveAll =Set(image,remove_all);

Cancel=Exit

1=Macro(FBROWSER_FILL_LIST);Macro(UpdateMenu);
4=Set(parameter,icon_size,16);
5=Set(parameter,icon_size,32);
6=Set(parameter,icon_size,48);
7=Set(parameter,icon_size,64)
9=Set(parameter,icon_size,128);

0=Exit
* *=Set(text,replace,Help, Upload icons. Select an icon and then choose Upload menu item.\nFor J2ME cleint icons must be \n16x16,32x32, 48x48, 64x64 or 128x128 PNG.\nPress 4 to see 16x16 icons\nPress 5 to see 32x32 icons\nPress 6 to see 48x48 icons\nPress 7 to see 64x64 icons\nPress 8 to see 128x128 icons);


[End]
